Subject: Re: bug#12135: 24.1.50; compatibility between compiled files in emacs-24.1 and 24.2

From: Thierry Volpiatto <[email-masked]>
Date: Thu, 09 Aug 2012 10:30:20 +0200

Stefan Monnier <[email-masked]> writes:

>> I think at flet because there is no reason that the other part of the
>> code don't work. (but I may be wrong)
>
> flet is used elsewhere.  And eliminating the flet (see patch below,
> which doesn't look bad when compared to the horror generated by flet)
> did not solve the problem.
Thanks for this, I have removed flet in most places now.

>> Hmm! No, AFAIK there is no ignore-errors involved here. 
>
> Somehow an error must have been signaled and then silenced.
> I replaced all ignore-errors by with-demoted-errors but that didn't
> help, so it must be some condition-case somewhere (or some other code in
> some other Elisp library, of course).
I think I found the function that need recompilation:

helm-M-x-get-major-mode-command-alist

> In any case, I think I found the culprit: the old CL's `loop' used
> cl-map-keymap-recursively internally for `key-seqs', which I renamed to
> cl--map-keymap-recursively but forgot to add a compatibility alias.
>
> Should be fixed now, thank you,
No, not yet unfortunately.
Also I have another error if I don't recompile as said in precedent
post, here the backtrace:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (void-function tty-top-frame)
  tty-top-frame(#<terminal 1 on :0.0>)
  #[(terminal) "\306!\307!\310\n\203\n\311\n\"B\310\211\2050
@\211\312\f!B	B
A\211\204\310-\207" [terminal alist top-frame frames f --dolist-tail-- frames-on-display-list tty-top-frame nil delq frame-selected-window] 5](#<terminal 1 on :0.0>)
  mapcar(#[(terminal) "\306!\307!\310\n\203\n\311\n\"B\310\211\2050
@\211\312\f!B	B
A\211\204\310-\207" [terminal alist top-frame frames f --dolist-tail-- frames-on-display-list tty-top-frame nil delq frame-selected-window] 5] (#<terminal 1 on :0.0>))
  helm-execute-persistent-action()
  call-interactively(helm-execute-persistent-action nil nil)
  #[nil "\302\303\304	\"\"\207" [fn helm-argument-keys apply mapcar #[(key) "\302	\"\207" [plist key plist-get] 3]] 5]()
  helm-let-internal(nil #[nil "\302\303\304	\"\"\207" [fn helm-argument-keys apply mapcar #[(key) "\302	\"\207" [plist key plist-get] 3]] 5])
  helm-find-files-1("/home/thierry/" nil)
  helm-find-files(nil)
  call-interactively(helm-find-files nil nil)
--8<---------------cut here---------------end--------------->8---

-- 
  Thierry
Get my Gnupg key:
gpg --keyserver pgp.mit.edu --recv-keys 59F29997